Package org.bukkit.potion

# Enum Class PotionType

java.lang.Object
java.lang.Enum<PotionType>
org.bukkit.potion.PotionType

All Implemented Interfaces:
  `Serializable`, `Comparable<PotionType>`, `Constable`

public enum PotionType extends Enum<PotionType>
This enum reflects and matches each potion state that can be obtained from the Creative mode inventory

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AWKWARD`
`FIRE_RESISTANCE`
`INSTANT_DAMAGE`
`INSTANT_HEAL`
`INVISIBILITY`
`JUMP`
`LUCK`
`MUNDANE`
`NIGHT_VISION`
`POISON`
`REGEN`
`SLOW_FALLING`
`SLOWNESS`
`SPEED`
`STRENGTH`
`THICK`
`TURTLE_MASTER`
`UNCRAFTABLE`
`WATER`
`WATER_BREATHING`
`WEAKNESS`

## Method Summary

Modifier and Type
Method
Description
`static @Nullable PotionType`
`getByEffect(@Nullable PotionEffectType effectType)`
Deprecated.
Misleading
`@Nullable PotionEffectType`
`getEffectType()`
`int`
`getMaxLevel()`
`boolean`
`isExtendable()`
Checks if the potion type has an extended state.
`boolean`
`isInstant()`
`boolean`
`isUpgradeable()`
Checks if the potion type has an upgraded state.
`static PotionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PotionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNCRAFTABLE

public static final PotionType UNCRAFTABLE

### WATER

public static final PotionType WATER

### MUNDANE

public static final PotionType MUNDANE

### THICK

public static final PotionType THICK

### AWKWARD

public static final PotionType AWKWARD

### NIGHT_VISION

public static final PotionType NIGHT_VISION

### INVISIBILITY

public static final PotionType INVISIBILITY

### JUMP

public static final PotionType JUMP

### FIRE_RESISTANCE

public static final PotionType FIRE_RESISTANCE

### SPEED

public static final PotionType SPEED

### SLOWNESS

public static final PotionType SLOWNESS

### WATER_BREATHING

public static final PotionType WATER_BREATHING

### INSTANT_HEAL

public static final PotionType INSTANT_HEAL

### INSTANT_DAMAGE

public static final PotionType INSTANT_DAMAGE

### POISON

public static final PotionType POISON

### REGEN

public static final PotionType REGEN

### STRENGTH

public static final PotionType STRENGTH

### WEAKNESS

public static final PotionType WEAKNESS

### LUCK

public static final PotionType LUCK

### TURTLE_MASTER

public static final PotionType TURTLE_MASTER

### SLOW_FALLING

public static final PotionType SLOW_FALLING

## Method Details

### values

public static PotionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static PotionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getEffectType

@Nullable public @Nullable PotionEffectType getEffectType()

### isInstant

public boolean isInstant()

### isUpgradeable

public boolean isUpgradeable()
Checks if the potion type has an upgraded state. This refers to whether or not the potion type can be Tier 2, such as Potion of Fire Resistance II.

Returns:
  true if the potion type can be upgraded;

### isExtendable

public boolean isExtendable()
Checks if the potion type has an extended state. This refers to the extended duration potions

Returns:
  true if the potion type can be extended

### getMaxLevel

public int getMaxLevel()

### getByEffect

@Deprecated @Nullable public static @Nullable PotionType getByEffect(@Nullable @Nullable PotionEffectType effectType)
Deprecated.
Misleading

Parameters:
  `effectType` - the effect to get by
Returns:
  the matching potion type